Bug 189986 - pwd displays '%2F' as a part of path
pwd displays '%2F' as a part of path
Product: Fedora
Classification: Fedora
Component: lftp (Show other bugs)
All Linux
low Severity low
: ---
: ---
Assigned To: Jason Vas Dias
Depends On: 189979
  Show dependency treegraph
Reported: 2006-04-26 10:38 EDT by Jason Vas Dias
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2006-04-28 20:12:29 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Jason Vas Dias 2006-04-26 10:38:16 EDT
+++ This bug was initially created as a clone of Bug #189979 +++

Description of problem:
After logging in, change directory or ls and then do a 'pwd'. You will see '%2F'
as a part of the path.

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1. `lftp -u root localhost` (the same results for ordinary user)
Password: (type your password)
lftp root@localhost:~>

2. `pwd`

3. `cd`  (or `ls` or whatever)
cd ok, cwd=/root

4. `pwd`

Actual results:

Expected results:

Additional info:
FTP server was vsftpd version 2.0.1
Comment 1 Jason Vas Dias 2006-04-26 10:40:58 EDT
Same thing happens with latest lftp-3.4.4 . The kerberos 'ftp' client does not 
have this problem, so it must be an lftp issue - will fix with next release and
inform upstream maintainer of this issue.
Comment 2 Jason Vas Dias 2006-04-28 20:12:29 EDT
NOTABUG - see explanation in bug 189979 .

Note You need to log in before you can comment on or make changes to this bug.